#include "ModuleParameter.h"

namespace mdd {
    ModuleParameter::ModuleParameter() {
        std::vector<double> default_val = { 1 };
        addInput("Value", default_val);
        addOutput("Value", default_val);
        setType("Parameter");
    }

    state ModuleParameter::update() {
        return getOutput(0)->setValue(getInput(0)->getValue());
    }
}